%define upstream_name TFTP
%define	upstream_version 1.0b3

%{?perl_default_filter}

Name: 		perl-%{upstream_name}
Version: 	%{upstream_version}
Release: 	%mkrel 4
Summary: 	TFTP Client class
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/TFTP/GSM/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		http://search.cpan.org/dist/%{upstream_name}
BuildArch:	noarch

%description 
TFTP is a class implementing a simple TFTP client in Perl as described
in RFC783.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc README
%{perl_vendorlib}/%{upstream_name}.pm
%{_mandir}/man3/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.0b3-4pclos2017
- rebuild against updates

